Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 15 Sep 2019, 22:01
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Xenialpup 7.5 & Ndiswrapper
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
OldAcer

Joined: 22 Jul 2016
Posts: 49

PostPosted: Thu 24 Jan 2019, 21:43    Post subject:  Xenialpup 7.5 & Ndiswrapper
Subject description: need another lib module?
 

I recently downloaded Xenialpup 7.5 and it works great with an external wifi adapter. However, when trying to use Ndiswrapper to use the laptop built-in adapter, I get an error message after saying that the windows driver is found and that hardware is found:
"modinfo: ERROR: Module ndiswrapper not found."
It also says:
"module version is too old!
utils version: '1.9', utils version needed by module: '0'
module details:
You may need to upgrade driver and/or utils to latest versions available at
http://ndiswrapper.sourceforge.net"

I have the libmodule 4.4.95. How do you install something else?
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 12559
Location: S.C. USA

PostPosted: Thu 24 Jan 2019, 22:58    Post subject:  

Before you do anymore.

What is the WIFI hardware you have?
Is it Atheros?
If yes.
Xenialpup 7.5 is missing some needed modules/firmware for Atheros devices.
Download and install this pet package:
http://distro.ibiblio.org/puppylinux/puppy-xenial/32/atheros_kernel_modules-4.4.95noPAE-xenial32.pet
Reboot
See if the WIFI adapter is now seen.

Last edited by bigpup on Thu 24 Jan 2019, 23:04; edited 1 time in total
Back to top
View user's profile Send private message 
ITSMERSH

Joined: 02 May 2018
Posts: 911

PostPosted: Thu 24 Jan 2019, 23:02    Post subject:  

Forum Section/Category = Puppy Projects
Forum Section/Category != Puppy Problems


Forum Section/Category Users ( For the regulars ) = Puppy Problems

Wink

_________________
RSH

Beware of the Dog ähem nic007! Wink
Back to top
View user's profile Send private message 
OldAcer

Joined: 22 Jul 2016
Posts: 49

PostPosted: Fri 25 Jan 2019, 22:25    Post subject:  

Yes, it was Atheros, Ath5k.

Works fine after install & reboot.

Thanks so much!

Did installing the .pet replace all of the 4.4.95 modules or just add subdirectories to lib/modules? How can one tell?
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 12559
Location: S.C. USA

PostPosted: Sat 26 Jan 2019, 04:13    Post subject:  

The pet adds the missing modules/drivers.
Just adds to what is already in Xenialpup 7.5
lib/modules/4.4.95/kernel/drivers/net/wireless/ath
That ath directory and what is in it was missing.

_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer) http://www.murga-linux.com/puppy/viewtopic.php?t=107601
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0578s ][ Queries: 11 (0.0140s) ][ GZIP on ]